pcl::DefaultPointRepresentation< SHOT352 > Class Template Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< SHOT352 >:

## Public Member Functions

| DefaultPointRepresentation ()
void | copyToFloatArray (const SHOT352 &p, float *out) const override
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< SHOT352 >
virtual | ~PointRepresentation ()=default
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const SHOT352 &p) const
| Verify that the input point is valid. More...
void | vectorize (const SHOT352 &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...

## Additional Inherited Members

Public Types inherited from pcl::PointRepresentation< SHOT352 >
using | Ptr = shared_ptr< PointRepresentation< SHOT352 > >
using | ConstPtr = shared_ptr< const PointRepresentation< SHOT352 > >
Protected Attributes inherited from pcl::PointRepresentation< SHOT352 >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

### template<>
class pcl::DefaultPointRepresentation< SHOT352 >

Definition at line 492 of file point_representation.h.

## Constructor & Destructor Documentation

## DefaultPointRepresentation()

pcl::DefaultPointRepresentation< SHOT352 >::DefaultPointRepresentation | ( |  | ) |

inline

Definition at line 495 of file point_representation.h.

References pcl::PointRepresentation< PointDefault >::nr_dimensions_.

## Member Function Documentation

## copyToFloatArray()

void pcl::DefaultPointRepresentation< SHOT352 >::copyToFloatArray | ( | const SHOT352 & | p,
|  | float * | out
| ) |  | const

inline override virtual

Copy point data from input point to a float array.

This method must be overridden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< SHOT352 >.

Definition at line 501 of file point_representation.h.

References pcl::SHOT352::descriptor, and pcl::PointRepresentation< PointDefault >::nr_dimensions_.

The documentation for this class was generated from the following file:

- pcl/point_representation.h